Update source app
Update source app. Manage only sources owned by this token on the current tenant.
/api/appstore/manage/sources/:source_id/apps/:app_idRichiesta parametri
Tutti i parametri possono essere passati tramite Query o Body
| Parametro | Tipo | Obbligo | Descrizione |
|---|---|---|---|
source_id | string | Obbligo | Source ID owned by this user on the current site Esempio: 12345678 |
app_id | integer | Obbligo | App ID within this source Esempio: 1 |
name | string | Facoltativo | App name, up to 100 characters Esempio: 演示应用 |
download_url | string | Facoltativo | HTTP(S) URL for downloading the app Esempio: https://example.com/app.ipa |
version | string | Facoltativo | App version Esempio: 1.0 |
type | string | Facoltativo | App type |
version_desc | string | Facoltativo | Release notes |
icon_url | string | Facoltativo | HTTP(S) URL of the app icon |
tint_color | string | Facoltativo | Theme color |
size | string | Facoltativo | File size |
is_lanzou | integer | Facoltativo | LanZou Cloud link: 0/1 |
is_locked | integer | Facoltativo | Requires a license key to unlock: 0/1 |
ios_version_limit | string | Facoltativo | iOS version restriction |
weigh | integer | Facoltativo | Sort weight |
status | integer | Facoltativo | Visibility: 0=hidden, 1=visible; publish drafts before editing |
Risposta
| Parametro | Tipo | Obbligo | Descrizione |
|---|---|---|---|
code | integer | Obbligo | 1 indicates success; otherwise a token, validation or source error code Esempio: 1 |
msg | string | Obbligo | Localized result message Esempio: 获取成功 |
time | integer | Obbligo | Unix timestamp in seconds |
data | object | Obbligo | Allowlisted fields visible to the source owner |
Codici di errore
101140001Lingua di risposta
Personalizza il linguaggio di risposta API con l'intestazione X-Lang. Gli esempi di codice qui sotto utilizzano automaticamente la lingua del tuo sito corrente.
X-Lang: itzh, en, zh-TW, vi, ar, es, ruAccetta-Language è anche supportato; X-Lang prende la priorità.
Esempi di codice
curl -X PATCH "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/appstore/manage/sources/12345678/apps/1" \
-H "X-Lang: it" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "演示应用",
"download_url": "https://example.com/app.ipa",
"version": "1.0",
"type": "example_type",
"version_desc": "example_version_desc",
"icon_url": "example_icon_url",
"tint_color": "example_tint_color",
"size": "example_size",
"is_lanzou": 1,
"is_locked": 1,
"ios_version_limit": "example_ios_version_limit",
"weigh": 1,
"status": 1
}'Note
- 必须使用 HTTPS 传输。接口不接受 uid、tenant_id、is_official、到期时间等管理员字段。
- 响应不包含拥有者身份、内部草稿或敏感密钥;创建源和应用受订阅、试用及数量限制。
Provalo in Console
Compila i parametri qui sotto e invia una richiesta al test. Le richieste vanno solo all'API di questo sito; l'URL è bloccato e non può essere modificato e il cookie di login corrente è incluso.
https://testypro.iwai.cc/api/appstore/manage/sources/12345678/apps/1Bloccato a questo sitoSource ID owned by this user on the current site
App ID within this source
App name, up to 100 characters
HTTP(S) URL for downloading the app
App version
App type
Release notes
HTTP(S) URL of the app icon
Theme color
File size
LanZou Cloud link: 0/1
Requires a license key to unlock: 0/1
iOS version restriction
Sort weight
Visibility: 0=hidden, 1=visible; publish drafts before editing